Bug 1933530 - The “Referrer-Policy” HTTP header is not set to “no-referrer”, “no-referrer-when-downgrade”, “strict-origin”, “strict-origin-when-cross-origin” or “same-origin”
Summary: The “Referrer-Policy” HTTP header is not set to “no-referrer”, “no-referrer-w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Engelhard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-01 00:37 UTC by mwp.junk
Modified: 2021-07-16 00:22 UTC (History)
2 users (show)

Fixed In Version: nextcloud-19.0.12-1.fc33 nextcloud-nextcloud_19-3320210630133545.601d93de nextcloud-nextcloud_20-3320210630133442.601d93de nextcloud-nextcloud_stable-3320210630133028.601d93de nextcloud-nextcloud_19-3420210630133545.058368ca nextcloud-20.0.10-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-09 00:46:06 UTC
Type: Bug


Attachments (Terms of Use)

Description mwp.junk 2021-03-01 00:37:41 UTC
Steps to Reproduce:
1. install nextcloud
2. goto Settings - Overview (like https://www.example.com/nextcloud/index.php/settings/admin/overview)
3. get errors

Actual results:
1. The “Referrer-Policy” HTTP header is not set to “no-referrer”, “no-referrer-when-downgrade”, “strict-origin”, “strict-origin-when-cross-origin” or “same-origin”

Expected results:
1. no error

Fix:

Add `add_header Referrer-Policy no-referrer always;` to /etc/nginx/default.d/nextcloud.conf or nextcloud-default-nginx.conf in the src repo:

        add_header X-Robots-Tag none;
        add_header X-Download-Options noopen;
        add_header X-Permitted-Cross-Domain-Policies none;
        +add_header Referrer-Policy no-referrer always;

        # set max upload size
        client_max_body_size 10G;

Would also need to add for apache too, presumably

Comment 1 Fedora Update System 2021-06-30 18:51:39 UTC
FEDORA-2021-afa7968aeb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-afa7968aeb

Comment 2 Fedora Update System 2021-06-30 18:51:44 UTC
FEDORA-MODULAR-2021-e727d9327a has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-e727d9327a

Comment 3 Fedora Update System 2021-06-30 18:51:48 UTC
FEDORA-MODULAR-2021-8478b0e630 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8478b0e630

Comment 4 Fedora Update System 2021-06-30 18:51:53 UTC
FEDORA-EPEL-MODULAR-2021-67b2caafec has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-67b2caafec

Comment 5 Fedora Update System 2021-06-30 18:54:30 UTC
FEDORA-MODULAR-2021-7ec13e1ed3 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-7ec13e1ed3

Comment 6 Fedora Update System 2021-06-30 18:54:30 UTC
FEDORA-MODULAR-2021-872921fbec has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-872921fbec

Comment 7 Fedora Update System 2021-06-30 18:54:31 UTC
FEDORA-2021-eac0e52f88 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-eac0e52f88

Comment 8 Fedora Update System 2021-06-30 19:46:21 UTC
FEDORA-MODULAR-2021-ce1106e638 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-ce1106e638

Comment 9 Fedora Update System 2021-07-01 01:04:39 UTC
FEDORA-2021-afa7968aeb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-afa7968aeb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-afa7968aeb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-07-01 01:18:31 UTC
FEDORA-2021-eac0e52f88 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-eac0e52f88`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-eac0e52f88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-07-01 01:26:30 UTC
FEDORA-MODULAR-2021-e727d9327a has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-e727d9327a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-07-01 01:26:35 UTC
FEDORA-MODULAR-2021-872921fbec has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-872921fbec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-07-01 01:26:46 UTC
FEDORA-MODULAR-2021-ce1106e638 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-ce1106e638

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-07-01 01:27:16 UTC
FEDORA-MODULAR-2021-8478b0e630 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8478b0e630

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-07-01 01:27:22 UTC
FEDORA-MODULAR-2021-7ec13e1ed3 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-7ec13e1ed3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-07-01 01:27:33 UTC
FEDORA-MODULAR-2021-c8ef31abe2 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8ef31abe2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-07-01 01:30:12 UTC
FEDORA-EPEL-MODULAR-2021-67b2caafec has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-67b2caafec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-07-01 01:30:17 UTC
FEDORA-EPEL-MODULAR-2021-336bd8af0e has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-336bd8af0e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-07-09 00:46:06 UTC
FEDORA-2021-afa7968aeb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2021-07-09 00:49:20 UTC
FEDORA-MODULAR-2021-e727d9327a has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2021-07-09 00:49:27 UTC
FEDORA-MODULAR-2021-872921fbec has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2021-07-09 00:50:12 UTC
FEDORA-MODULAR-2021-ce1106e638 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2021-07-09 01:01:11 UTC
FEDORA-MODULAR-2021-8478b0e630 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-07-09 01:01:17 UTC
FEDORA-MODULAR-2021-7ec13e1ed3 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2021-07-09 01:01:29 UTC
FEDORA-MODULAR-2021-c8ef31abe2 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2021-07-09 01:02:45 UTC
FEDORA-2021-eac0e52f88 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2021-07-16 00:22:19 UTC
FEDORA-EPEL-MODULAR-2021-67b2caafec has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2021-07-16 00:22:25 UTC
FEDORA-EPEL-MODULAR-2021-336bd8af0e has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.